> For the complete documentation index, see [llms.txt](https://docs.ipaper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ipaper.io/display-javascript-api/events.md).

# Events

Display JavaScript API emits custom events that can be listened to on the document root

## Overview

The Display JavaScript API emits custom events to the document root so that you can keep track of changes to the Display API instance.

### `iPaperDisplayApiReady`

This event is emitted when the Display JavaScript API has successfully instantiated and populates the global scope with the `iPaperDisplayApi` object. At this point of time, all magic commands for the Display JavaScript API is accessible.

```javascript
document.addEventListener('iPaperDisplayApiReady', function () {
    // At this point in time, window.iPaperDisplayApi is available in the global scope
    window.iPaperDisplayApi.show();
});
```

### `iPaperDisplayInstanceReady`

This event is emitted when the Display JavaScript API has successfully loaded a Display instance and the instsance is now visible and ready to be interacted with. At this point, the user should be able to interact (scroll, click, etc.) with the Display instance shown on the side.

```javascript
document.addEventListener('iPaperDisplayInstanceReady', function () {
    // At this point in time, the Display Instance is ready to be interacted with
});
```

{% hint style="info" %}
**Note:**

Due to the nature of the UI/UX of Display, the `iPaperDisplayInstanceReady` event is only fired if your user is originating from a desktop or tablet device. Mobile devices are redirected to the actual URL of the Display, where interaction with the API is not possible.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ipaper.io/display-javascript-api/events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
